import { Observable } from 'rxjs';
import { IExtServices, ICommandEntry, IExecuteCommandParams } from '@adminide-stack/extension-api';
import { ApolloClient } from '@apollo/client/index.js';
export declare const registerCommandEpic: (action$: Observable<{
    type: string;
    payload: ICommandEntry;
}>, state$: Observable<any>, { apolloClient, services }: {
    apolloClient: ApolloClient<any>;
    services: IExtServices;
}) => any;
export declare const deregisterCommandEpic: (action$: Observable<{
    type: string;
    payload: ICommandEntry;
}>, state$: Observable<any>, { apolloClient, services }: {
    apolloClient: ApolloClient<any>;
    services: IExtServices;
}) => any;
export declare const executeCommandEpic: (action$: Observable<{
    type: string;
    payload: IExecuteCommandParams;
}>, state$: Observable<any>, { apolloClient, services }: {
    apolloClient: ApolloClient<any>;
    services: IExtServices;
}) => any;
//# sourceMappingURL=command-epic.d.ts.map