import { IEditorInput } from '@workbench-stack/core';
import { Store } from 'redux';
import { Observable } from 'rxjs';
export declare const getFileContent: (openingFiles: any, editingFiles: any, editorId: any) => any;
export interface IEditorWindowsService {
    editors: () => any[];
    content: () => any;
    openingFiles: () => any[];
    editingFiles: () => any[];
    lastEditorId: () => number;
    activeEditorId: () => number;
    openEditorWindow(content: IEditorInput): void;
    closeEditorWindow(content: IEditorInput): void;
    selectEditorWindow(content: IEditorInput): void;
    updateEditorWindow(content: IEditorInput): void;
}
export declare const editorWindowsService: ({ store, reduxState$, }: {
    store: Store<any>;
    reduxState$: Observable<any>;
}) => IEditorWindowsService;
//# sourceMappingURL=windows-service.d.ts.map